/*
   05 August 202109:58:26
   User: 
   Server: (local)
   Database: SISIMPU
   Application: 
*/

/* To prevent any potential data loss issues, you should review this script in detail before running it outside the context of the database designer.*/
BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
GO
CREATE TABLE [Transaction].Synchronizations
	(
	SynchronizationId int NOT NULL IDENTITY (1, 1),
	SynchronizationRegulationId int NULL,
	SynchronizationRdkId int NULL,
	SynchronizationRequestNDNomor varchar(100) NULL,
	SynchronizationRequestNDDate date NULL,
	SynchronizationRequestNDDocumentId int NULL,
	SynchronizationRequestDate datetime NULL,
	SynchronizationResponseNDNomor varchar(100) NULL,
	SynchronizationResponseNDDate date NULL,
	SynchronizationResponseNDDocumentId int NULL,
	SynchronizationResponseDate datetime NULL,
	SynchronizationCreateBy int NULL,
	SynchronizationCreateDate datetime NULL,
	SynchronizationUpdateBy int NULL,
	SynchronizationUpdateDate datetime NULL
	)  ON [PRIMARY]
GO
ALTER TABLE [Transaction].Synchronizations ADD CONSTRAINT
	PK_Synchronizations PRIMARY KEY CLUSTERED 
	(
	SynchronizationId
	) WITH( STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

GO
ALTER TABLE [Transaction].Synchronizations SET (LOCK_ESCALATION = TABLE)
GO
COMMIT
